# Helicon ISAPI_Rewrite configuration file
# Version 3.1.0.56



RewriteEngine on
RewriteCond %{REQUEST_URI} !/(.*)_([0-9]+).*\.html$
RewriteRule ^(.*)\.html$ $1.php [L]

RewriteCond %{REQUEST_URI} /auction_(.*)_([0-9]+).*\.html$
RewriteRule (.*) productdetails.php?aid=%2 [L]

RewriteCond %{REQUEST_URI} /show_([0-9]+).*\.html$
RewriteRule (.*) show_detail.php?sid=%1 [L]

RewriteCond %{REQUEST_URI} /apply_show_([0-9]+).*\.html$
RewriteRule (.*) apply_show.php?sid=%1 [L]

RewriteCond %{REQUEST_URI} /article_([0-9]+).*\.html$
RewriteRule (.*) article.php?aid=%1 [L]


RewriteCond %{REQUEST_URI} /all_auctions_([0-9]+)_([0-9]+)_EndedAuction.*\.html$
RewriteRule (.*) allauctions.php?pgno2=%2&id=%1&hashtag=EndedAuction [L]

RewriteCond %{REQUEST_URI} /all_auctions_([0-9]+)_([0-9]+)_FutureAuction.*\.html$
RewriteRule (.*) allauctions.php?pgno3=%2&id=%1&hashtag=FutureAuction [L]

RewriteCond %{REQUEST_URI} /all_auctions_([0-9]+)_([0-9]+).*\.html$
RewriteRule (.*) allauctions.php?pgno=%2&id=%1 [L]

RewriteCond %{REQUEST_URI} /all_auctions_([0-9]+)_(.*).*\.html$
RewriteRule (.*) allauctions.php?pgno=%1&st=%2 [L]

RewriteCond %{REQUEST_URI} /all_auctions_([0-9]+).*\.html$
RewriteRule (.*) allauctions.php?id=%1 [L]

RewriteCond %{REQUEST_URI} /all_ended_auctions_([0-9]+)_([0-9]+)_([a-zA-Z]).*\.html$
RewriteRule (.*) allauctions.php?aid=%1&pgno2=%2&hashtag=%3 [L]

RewriteCond %{REQUEST_URI} /all_future_auctions_([0-9]+)_([0-9]+)_([a-zA-Z]).*\.html$
RewriteRule (.*) allauctions.php?aid=%1&pgno3=%2&hashtag=%3 [L]

RewriteCond %{REQUEST_URI} /all_([a-z]+)_auctions_([0-9]+)_([a-zA-Z]).*\.html$
RewriteRule (.*) allauctions.php?aid=%2&hashtag=%3 [L]

RewriteCond %{REQUEST_URI} /all_([a-z]+)_auctions_([0-9]+)_([0-9]+).*\.html$
RewriteRule (.*) allauctions.php?aid=%2&pgno=%3 [L]

RewriteCond %{REQUEST_URI} /all_([a-z]+)_auctions_([0-9]+).*\.html$
RewriteRule (.*) allauctions.php?aid=%2 [L]

RewriteCond %{REQUEST_URI} /bid_history_([0-9]+)_N.*\.html$
RewriteRule (.*) bid_history.php?pgNo=%1 [L]

RewriteCond %{REQUEST_URI} /([a-zA-Z_]+)_([0-9]+).*\.html$
RewriteRule (.*) %1.php?pgno=%2 [L]